---
layout: default
title: "GitLab Heroes: Building GitLab together"
description: "Learn why GitLab's integrated CI pipelines help your team build, test, deploy, and monitor your code."
suppress_header: true
canonical_path: "/community/heroes/"
twitter_image: "/images/opengraph/Heroes/Heroes-get-recognized.png"
twitter_image_alt: "GitLab Heroes graphical logo asking you to become a GitLab Hero"
twitter_site: "gitlab"
twitter_creator: "gitlab"
extra_css:
  - solutions2020.css
  - bl-modal.css
  - video-carousel.css
  - heroes-contributions.css
extra_js:
  - libs/slick.min.js
  - video-carousel.js
---

.container.slp-container.header-content
  %h1
    GitLab Heroes: Building GitLab together
  %h4
    GitLab Heroes engages, supports, connects, and recognizes members of the wider GitLab community who make outstanding contributions to GitLab and our community around the globe.
  %a.btn.cta-btn.orange-light{:href => 'mailto:incoming+gitlab-com-marketing-community-relations-evangelist-program-git-18503012-issue-@incoming.gitlab.com?subject=GitLab%20Heroes%20Application&body=Please send us a message to start the GitLab Heroes application process.', } Become a GitLab Hero

.container.slp-container.solutions-blocks
  .solutions-block.solution-1
    %h2.title
      Be a Hero
    .description
      %p
        At GitLab, we believe
        = link_to "everyone can contribute.", "/company/mission/#mission"
        In that spirit, we believe everyone in our community can become a GitLab Hero.
      %p  
        If you are new to GitLab and looking to get started contributing to our community, we have many ways to 
        = link_to "contribute.", "/community/"
        You can
        = link_to "improve documentation,", "/community/contribute/documentation/"
        = link_to "contribute code,", "/community/contribute/"
        = link_to "organize a GitLab meetup,", "/community/meetups/"
        = link_to "give a tech talk,", "/speakers/"
        = link_to "or write a blog post.", "/blog/" 
      %p 
        If you are active in our community and 
        = link_to "organizing meetups,", "/community/meetups/"
        recording demos for YouTube, giving talks at conferences and events, writing technical blog posts, or
        = link_to "contributing to our open source project,", "/community/contribute/"
        we want to engage, support, and recognize you for your contribution as a GitLab Hero. 
  
  .solutions-block.image.image-1
    %img{src: "/images/events/gitlab-commit/call-for-proposal.jpg", alt: "Image of speaker", loading: "lazy"}
  
  .solutions-block.image.image-2
    %img{src: "/images/heroes/contribute.jpg", alt: "Image of collaboration", loading: "lazy"}
  
  .solutions-block.solution-2
    %h2.title
      Heroes Rewards
    .description
      %ul{ style: "list-style-type: disc"}
        %li
          Invitations to special events including
          = link_to "GitLab Commit", "/events/commit/"
        %li
          Support for travel to speak about GitLab at events
        %li
          GitLab Ultimate licenses
        %li
          Special Heroes swag so people know how awesome you are
        %li
          Access to GitLab's product, engineering, and developer evangelism teams to help with reviews of talks and blog posts

  .solutions-block.solution-3
    %h2.title
      Attributes of a Hero
    .description
      %ul{ style: "list-style-type: disc"}
        %li
          Possess a passion for GitLab, DevSecOps, and Open Source software.
        %li
          Aspire to our
          = link_to "mission,", "/company/mission/#mission"
          uphold our
          = link_to "values,", "/handbook/values/"
          and adhere to our
          = link_to "Code of Conduct.", "/community/contribute/code-of-conduct/"
        %li
          Sustained level of contribution to GitLab as a
          %a{href: "/community/contribute/"}code contributor,
          %a{href: "/community/meetups/"}community organizer,
          or thought leader.

  .solutions-block.image.image-2
    %img{src: "/images/heroes/educate.jpg", alt: "Image of collaboration", loading: "lazy"}

.container.slp-container.info-block
  %h2.title
    The Hero's Journey
  .description
    GitLab Heroes has three levels progressing from Contributor to Hero to Superhero. Below you will see example contributions and rewards for each level.

.container.slp-container.feature-cards
  .feature-card
    .icon
      %img{src: "/images/ci/code-icon.svg", alt: "Code icon", loading: "lazy"}
    %h4.title
      Be a Contributor
    .description
      Contributions
      %ul{ style: "list-style-type: disc"}
        %li Contribute 5 merged MRs (or one awesome MR!) to improve GitLab - the application, website, or docs
        %li Contribute 5 merged MRs to a project that is part of the GitLab for Open Source program
        %li Organize a GitLab meetup group
        %li Give multiple tech talks about GitLab
        %li Publish 3 blog posts about GitLab
        %li Actively contribute to the GitLab forum and GitLab issues
      Rewards
      %ul{ style: "list-style-type: disc"}
        %li Unique Heroes swag
        %li Support from GitLab's Community Relations teams
        %li Shoutouts on the GitLab Company Call & social media
  .feature-card
    .icon
      %img{src: "/images/ci/uptime-icon.svg", alt: "Arrow icon", loading: "lazy"}
    %h4.title
      Be a Hero
    .description
      Contributions
      %ul{ style: "list-style-type: disc"}
        %li Contribute 10 merged MRs to improve GitLab
        %li Be a maintainer of a project that is part of the GitLab for Open Source program
        %li Organize 8 GitLab meetup events per year
        %li Present about GitLab at a regional conference
        %li Post 5 YouTube videos about GitLab
        %li Most hearts received in a quarter on the forum
      Rewards
      %ul{ style: "list-style-type: disc"}
        %li Rewards of Contributor, plus:
        %li Free GitLab Ultimate license for personal use
        %li Invites to conferences and GitLab events
        %li Support when traveling to events to talk about GitLab
  .feature-card
    .icon
      %img{src: "/images/ci/smile-icon.svg", alt: "Smile icon", loading: "lazy"}
    %h4.title
      Be a Superhero
    .description
      Contributions
      %ul{ style: "list-style-type: disc"}
        %li Serve on GitLab's Core Team
        %li Organize 12 GitLab meetup events per year
        %li Give a keynote about GitLab at a global conference
        %li Publish an article or video about GitLab with 10,000 views
        %li Most hearts received in a year on the forum
      Rewards
      %ul{ style: "list-style-type: disc"}
        %li Rewards of Hero, plus:
        %li Access to GitLab team members for help with content
        %li Coaching to build technology thought leadership

.container.slp-container.info-block
  %h2.title
    Meet the Heroes
  .description
    GitLab Heroes is a global community of contributors.
  .content-section 
    - data.heroes[80..83].each do |member|
      = partial "includes/heroes/member_overview", locals: { member: member }

  %a.btn.cta-btn.orange-light{:href => '/community/heroes/members'} Meet the GitLab Heroes

.container.slp-container.info-block
  %h2.title
    Recent Contributions
  .description
    GitLab Heroes contribute in a variety of ways including code, content, and community engagement.
  .content-section 
    - data.heroes_contributions.recent_contributions[0..3].sort_by(&:date).reverse.each do |contribution, index|
      .press-block
        .attributes
          = image_tag "#{contribution.logo}", class: "contribution-logo-small", alt: "Gitlab Heroes contribution type"
          %p.contribution-type
          = contribution.date
        %p.contribution-type
          = contribution.type
        %a.contribution-link{ href: "#{contribution.link}", target: "_blank" }
          = contribution.title
        %p
          = image_tag "/images/heroes/gitlab-heroes-icon.svg", class: "contribution-logo-small", alt: "Gitlab Heroes logo"
          = contribution.contributor
  %a.btn.cta-btn.orange-light{:href => '/community/heroes/contributions/'} See more recent contributions
  
